Redmine - Feature #11963

Hide the estimated times on issues for certain roles
2012-09-27 09:09 - Jifi Kfivanek

Status: Closed Start date:
Assignee: % Done: 0%
Category: Issues permissions Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description
Hello,

we are successfully using Redmine for years. But in a very complex way - hundreds of projects and sub-projects, thousands of tasks,
hundreds of users.

At this moment we would like to let some of our customers to enter the Redmine as well - for the classical bug reporting/tracing
workflow.

To be able to do that, we need to hide some internal information (particularly all the information which could be misinterpreted by
them - like time estimates, spent time records, etc.) from the customers. We spent a few days with trying to create the role for the
customer - quite successfully but not completely - that is why | am posting here.

We did the tests on both 1.3x and 2.0.x versions...

Currently, the only thing we need to hide before we let our customers to enter the Redmine is demonstrated by the attached
screenshots below:

e The red highlight point out what our customers cannot see and we were not able to get rid of it.

¢ The second screenshot details the role settings (perhaps you point us to something which we are still missing after all those
tests).
Related issues:

Is duplicate of Redmine - Feature #12005: Mightful workflow field enhancement... New
Is duplicate of Redmine - Feature #3088: Estimated hours field able to hide r... New 2009-04-01
History

#1 - 2012-10-02 09:56 - Jifi Kfivanek
- File 2012-10-02_09-52-54.png added

| have just realized one more consequence of fixing this problem:
2012-10-02_09-52-54.png

#2 - 2012-10-12 11:30 - Jean-Philippe Lang
- Tracker changed from Defect to Feature

- Subject changed from Cannot hide the estimated times on issues to Hide the estimated times on issues for certain roles

#3 - 2013-05-01 15:47 - Dominique Lederer

+1

i created a plugin that hides "estimated_hours" from most of this views, take a look at https://github.com/returni/redmine_hide_estimated_hours

i would really like to see this in Redmine, because for some stuff i am not able to do this with a plugin, for example to completely hide
estimated_hours from the Issues Journal. Also hiding from the Issue PDF via Plugin is not really efficient at the moment.

#4 - 2013-05-20 15:30 - Alexis Romagnoli
https://github.com/return1/redmine_hide_estimated_hours

+1

#5 - 2013-05-20 16:24 - Filou Centrinov
Duplicate of #12005 ?

#6 - 2013-05-20 19:47 - Terence Mill

Yes it is a duplicate #12005, which allows hiding optionally for every field (except topic and status).

#7 - 2013-05-20 19:52 - Filou Centrinov
- Status changed from New to Closed

- Resolution set to Duplicate

#8 - 2013-07-16 21:07 - Martin Dubé
I would also like to be able to hide estimated time.
Since Jean-Philippe Lang stated that proposed changes in #12005 will not get implemented in the near future (

http://www.redmine.org/issues/12005#note-62) maybe this one could be reopened. Implementing a new right (or even used the current one allowing
to see spent time) would be fine in my opinion.

#9 - 2013-07-25 20:05 - Rick Boyer

+1

This really is a show stopping issue for client access. Redmine is otherwise a great product (with plugins).

#10 - 2013-08-02 02:42 - Jeremy Bailey

+1

Also +1-ing #12005, since that seems more ambitious and will probably take longer to implement.

#11 - 2013-11-19 09:42 - Pavel Potcheptsov

+1

#12 - 2013-11-29 09:03 - Christian S.

+1 this is needed if you want to give access to your customers, to report issues.

#13 - 2013-12-04 15:48 - Guillaume C

+1

#14 - 2014-03-10 06:17 - Richard Gunn

+1 I logged a similar request Issue #16095

The issue was set to invalid (i.e. ignored). Without such an enhancement we cannot provide customer access.

#15 - 2014-04-06 15:32 - minkbear minkbear

+1 for this feature

#16 - 2014-05-15 09:38 - alio kero

+1
#17 - 2014-10-16 19:40 - redmineservices .
+1

| forked the Dominique Lederer's plugin and | added a new permission called hide estimated time. This new permission allow user to see spent time
but not the estimated time.

https://github.com/javiferrer/redmine_hide_estimated hours

#18 - 2014-10-27 15:43 - Pavel Potcheptsov

+1
#19 - 2015-11-11 10:27 - Christoph Weygand

+1

#20 - 2016-03-25 12:04 - Istvan Heckl

+1, it is a must have

#21 - 2016-08-04 11:57 - Manuel Bernhardt

+1, it is a must have

#22 - 2016-08-31 13:53 - Vladimir Gorin

+1

#23 - 2017-01-06 11:08 - Benoit Duffez

+1

#24 - 2018-06-13 13:47 - Carlos Meyer

| forked the Dominique Lederer's plugin and patch it for version 3.4.4 https://github.com/protos1575/redmine_hide_estimated_hours

+1

#25 - 2018-11-20 14:55 - Stefaan Ellebaut

+1

#26 - 2019-01-28 08:44 - lvan Rapekas

+1

#27 - 2019-02-02 02:24 - Jesus Broceno

+1

#28 - 2019-02-02 03:38 - Go MAEDA
- Is duplicate of Feature #3088: Estimated hours field able to hide role based added

#29 - 2019-04-05 16:19 - Thierry Brochu

+1

#30 - 2019-09-09 13:30 - Manuel Bernhardt

+1

#31 - 2020-07-16 19:23 - lvan Tsybanenko

+1 (for 3.4.x & 4.x versions)

#32 - 2020-10-16 14:44 - Andrea Valle

+1

It seems very interesting also: https:/github.com/nanego/redmine_customize core_fields

It works great for me with all core fields.

#33 - 2022-10-14 09:47 - Johannes Zlattinger

+1

#34 - 2022-11-02 09:29 - Martin Mayr-gebhard

+1
